Go to the latest version of this document.

# ``twisted`.`mail`.`interfaces`.`ISearchableIMAPMailbox``

interface documentation

`class ISearchableIMAPMailbox(Interface): (source)`

View In Hierarchy

Undocumented

Method | `search` | Search for messages that meet the given query criteria.

def search(query, uid): (source)

Search for messages that meet the given query criteria.

If this interface is not implemented by the mailbox, `IMailboxIMAP.fetch` and various methods of `IMessageIMAP` will be used instead.

Implementations which wish to offer better performance than the default implementation should implement this interface.

Parameters
query:`list` | The search criteria
uid:`bool` | If true, the IDs specified in the query are UIDs; otherwise they are message sequence IDs.

Returns
`list` or `Deferred` | A list of message sequence numbers or message UIDs which match the search criteria or a `Deferred` whose callback will be invoked with such a list.

Raises
`IllegalQueryError` | Raised when query is not valid.